summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rw-r--r--firefox.spec15
-rw-r--r--mozilla-722127.patch74
-rw-r--r--sources4
4 files changed, 12 insertions, 83 deletions
diff --git a/.gitignore b/.gitignore
index 122f76e..af11a73 100644
--- a/.gitignore
+++ b/.gitignore
@@ -40,3 +40,5 @@ firefox-3.6.4.source.tar.bz2
/firefox-langpacks-10.0.1-20120209.tar.xz
/firefox-11.0.source.tar.bz2
/firefox-langpacks-11.0-20120313.tar.xz
+/firefox-12.0.source.tar.bz2
+/firefox-langpacks-12.0-20120424.tar.xz
diff --git a/firefox.spec b/firefox.spec
index fa6509a..d242269 100644
--- a/firefox.spec
+++ b/firefox.spec
@@ -16,8 +16,8 @@
%define default_bookmarks_file %{_datadir}/bookmarks/default-bookmarks.html
%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
-%global xulrunner_version 11.0
-%global xulrunner_release 3
+%global xulrunner_version 12.0
+%global xulrunner_release 1
%global alpha_version 0
%global beta_version 0
%global rc_version 0
@@ -51,14 +51,14 @@
Summary: Mozilla Firefox Web browser
Name: firefox
-Version: 11.0
-Release: 2%{?pre_tag}%{?dist}
+Version: 12.0
+Release: 1%{?pre_tag}%{?dist}
URL: http://www.mozilla.org/projects/firefox/
License: MPLv1.1 or GPLv2+ or LGPLv2+
Group: Applications/Internet
Source0: ftp://ftp.mozilla.org/pub/firefox/releases/%{version}%{?pre_version}/source/firefox-%{version}%{?pre_version}.source.tar.bz2
%if %{build_langpacks}
-Source1: firefox-langpacks-%{version}%{?pre_version}-20120313.tar.xz
+Source1: firefox-langpacks-%{version}%{?pre_version}-20120424.tar.xz
%endif
Source10: firefox-mozconfig
Source11: firefox-mozconfig-branded
@@ -76,7 +76,6 @@ Patch14: firefox-5.0-asciidel.patch
Patch15: firefox-8.0-enable-addons.patch
# Upstream patches
-Patch100: mozilla-722127.patch
%if %{official_branding}
# Required by Mozilla Corporation
@@ -121,7 +120,6 @@ cd %{tarballdir}
%patch15 -p2 -b .addons
# Upstream patches
-%patch100 -p2 -b .722127
%if %{official_branding}
# Required by Mozilla Corporation
@@ -366,6 +364,9 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
#---------------------------------------------------------------------
%changelog
+* Tue Apr 24 2012 Martin Stransky <stransky@redhat.com> - 12.0-1
+- Update to 12.0
+
* Thu Mar 15 2012 Martin Stransky <stransky@redhat.com> - 11.0-2
- Switched dependency to xulrunner (rhbz#803471)
diff --git a/mozilla-722127.patch b/mozilla-722127.patch
deleted file mode 100644
index f86fcae..0000000
--- a/mozilla-722127.patch
+++ /dev/null
@@ -1,74 +0,0 @@
-diff -up xulrunner-11.0/mozilla-beta/configure.in.vpx1.0.0 xulrunner-11.0/mozilla-beta/configure.in
---- xulrunner-11.0/mozilla-beta/configure.in.vpx1.0.0 2012-03-09 01:39:31.000000000 +0100
-+++ xulrunner-11.0/mozilla-beta/configure.in 2012-03-09 15:03:51.246031329 +0100
-@@ -5710,20 +5710,20 @@ if test -n "$MOZ_WEBM"; then
- [MOZ_NATIVE_LIBVPX_DEC_TEST=1],
- ([--with-system-libvpx requested but symbol vpx_codec_dec_init_ver not found]))
- if test -n "$MOZ_NATIVE_LIBVPX_DEC_TEST" ; then
-- AC_MSG_CHECKING([for libvpx version >= v0.9.7])
-- dnl We need at least v0.9.7 to fix several crash bugs (for which we
-- dnl had local patches prior to v0.9.7).
-+ AC_MSG_CHECKING([for libvpx version >= v1.0.0])
-+ dnl We need at least v1.0.0 to fix several crash bugs (for which we
-+ dnl had local patches prior to v1.0.0).
- dnl
- dnl This is a terrible test for the library version, but we don't
- dnl have a good one. There is no version number in a public header,
- dnl and testing the headers still doesn't guarantee we link against
- dnl the right version. While we could call vpx_codec_version() at
- dnl run-time, that would break cross-compiling. There are no
-- dnl additional exported symbols between the v0.9.7 release and the
-- dnl v0.9.6 one to check for.
-+ dnl additional exported decoder symbols between the v1.0.0 release
-+ dnl and the v0.9.7 one to check for.
- AC_TRY_COMPILE([
- #include <vpx/vpx_decoder.h>
-- #if !defined(VPX_CODEC_USE_INPUT_PARTITION)
-+ #if !defined(VPX_CODEC_USE_INPUT_FRAGMENTS)
- #error "test failed."
- #endif
- ],
-@@ -5734,7 +5734,7 @@ if test -n "$MOZ_WEBM"; then
- MOZ_LIBVPX_INCLUDES="-I${LIBVPX_DIR}/include"
- MOZ_LIBVPX_LIBS="-L${LIBVPX_DIR}/lib -lvpx"],
- [AC_MSG_RESULT([no])
-- AC_MSG_ERROR([--with-system-libvpx requested but it is not v0.9.7 or later])])
-+ AC_MSG_ERROR([--with-system-libvpx requested but it is not v1.0.0 or later])])
- fi
- CFLAGS=$_SAVE_CFLAGS
- LDFLAGS=$_SAVE_LDFLAGS
-diff -up xulrunner-11.0/mozilla-beta/configure.vpx1.0.0 xulrunner-11.0/mozilla-beta/configure
---- xulrunner-11.0/mozilla-beta/configure.vpx1.0.0 2012-03-09 01:58:50.000000000 +0100
-+++ xulrunner-11.0/mozilla-beta/configure 2012-03-09 15:15:42.537585632 +0100
-@@ -17761,14 +17761,14 @@ else
- fi
-
- if test -n "$MOZ_NATIVE_LIBVPX_DEC_TEST" ; then
-- echo $ac_n "checking for libvpx version >= v0.9.7""... $ac_c" 1>&6
--echo "configure:17766: checking for libvpx version >= v0.9.7" >&5
-+ echo $ac_n "checking for libvpx version >= v1.0.0""... $ac_c" 1>&6
-+echo "configure:17766: checking for libvpx version >= v1.0.0" >&5
- cat > conftest.$ac_ext <<EOF
- #line 17768 "configure"
- #include "confdefs.h"
-
- #include <vpx/vpx_decoder.h>
-- #if !defined(VPX_CODEC_USE_INPUT_PARTITION)
-+ #if !defined(VPX_CODEC_USE_INPUT_FRAGMENTS)
- #error "test failed."
- #endif
-
-@@ -17791,7 +17791,7 @@ else
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- echo "$ac_t""no" 1>&6
-- { echo "configure: error: --with-system-libvpx requested but it is not v0.9.7 or later" 1>&2; exit 1; }
-+ { echo "configure: error: --with-system-libvpx requested but it is not v1.0.0 or later" 1>&2; exit 1; }
- fi
- rm -f conftest*
- fi
-@@ -25794,4 +25794,3 @@ if cmp -s config/autoconf.mk config/auto
- else
- rm -f config/autoconf.mk.orig 2> /dev/null
- fi
--
diff --git a/sources b/sources
index c844806..73c0d6e 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
-4b07acf47857aff72776d805409cdd1b firefox-11.0.source.tar.bz2
-c47ddb9e66b37a00ad05e0945710a718 firefox-langpacks-11.0-20120313.tar.xz
+80c3e5927274de7f181fb5f931ac5fd4 firefox-12.0.source.tar.bz2
+0bd5a742f2922c5d83c5e1abec51f056 firefox-langpacks-12.0-20120424.tar.xz
bgstack15